{% extends 'base.html' %}
{% block head %}

<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:creator" content="@altcensored">
<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:title" content="'{{rawsearch}}' Search: {{ videocount | viewdisplay }} videos & {{ channcount | viewdisplay }} channel(s)">
<meta property="og:description" content="'together we show what they hide'">
<meta property="og:type" content="article">
<meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">
<meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png?3">

{% endblock %}

{% block content %}
{% with active_nav='search' %}
    {% include "widgets/navtabs.html" %}
{% endwith %}
<br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g">
                {% if channels %}
                    <div class="h-box pure-u-1">
                        <details><summary>
                            <i class='ion-ios-albums'  style="font-size: 24px"></i>
                            {{ gettext('Channel') }}
                            <i class='ion-md-search' style="font-size: 21px"></i>
                            <b>({{ channcount | commafy }})</b>
                        </summary><p></p>
                {% for channel in channels %}
                    <div class="pure-u-1 pure-u-md-1-4">
                    <div class="h-box">
                        <div class = "pure-g">
                            <div class="pure-u-1-2">
                                <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                                    <div class="thumbnail">
                                        <left>
                                              <img style="width:95%"
                                                   src="{{ config.ACIPROXY ~ config.VIDEOSERVER_URL ~ channel['ytc_thumbnail'] }}"
                                                   onerror="this.onerror=null;this.src='{{ config.CHANNEL_THUMB_ERROR_IMAGE }}';">
                                            </style>
                                            </left>
                                            </div>
                                              </a>
                                                </div>
                                                  <div class="pure-u-1-2" style="text-align:left">
                                                    <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                                                    {{ gettext('Censored') }}: {{ channel['limited']|commafy }}
                                                    </a>
                                              <br>
                                             {% if not channel['ytc_deleted'] %}
                                              {{ gettext('Archived') }}: {{ channel['archived']|commafy}}
                                              <br>
                                             {% endif %}
                                              {{ gettext('Total') }}: {{ channel['total']|commafy }}
                                            <br>
                                             {{ gettext('Views') }}: {{ channel['ytc_viewcount'] | viewdisplay }}
                                            <br>
                                             {{ gettext('Subs') }}: {{ channel['ytc_subscribercount'] | viewdisplay }}
                                            <br>
                                             {% if channel['ytc_deleted'] %}
                                                 <img style="width:31%"
                                                 class="thumbnail" src="https://{{ config['MYSERVER_NAME'] }}/x.gif">
                                                 </style>
                                             {% else %}
                                                 {{ gettext('Monitor') }}:
                                                 {% if channel.allow %}{{ gettext('True') }}<br>
                                                     {% else %}{{ gettext('False') }}<br>
                                                 {% endif %}
                                             {% endif %}
                                    </div>
                            </div>

                            <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                                <b>{{ channel['ytc_title'] }}</b>
                            </a>

                            <br>
                            {{ gettext('Created') }} {{ channel['ytc_publishedat'].strftime('%b %e, %G') }}
                            <br>
                            {% if channel['ytc_deleted'] %}
                                <font color="red">{{ gettext('Deleted') }} {{ channel['ytc_deleteddate'].strftime('%b %e, %G') }}</font>
                            {% else %}
                            {% endif %}

                        </div>
                        <br>
                    </div>
                {% endfor %}
                {% endif %}
                        </details></div></div>
                </div>
            </div>
        </div>
    </div>

    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g">
                {% if searchplaylists %}
                    <div class="h-box pure-u-1">
                        <details><summary>
                            <i class='ion-md-list'  style="font-size: 24px"></i>
                            {{ gettext('Playlist') }}
                            <i class='ion-md-search' style="font-size: 21px"></i>
                            <b>({{ searchplaylistcount | commafy }})</b>
                        </summary><p></p>
                {% for searchplaylist in searchplaylists %}
                    <div class="pure-u-1 pure-u-md-1-4">
                        <div class="h-box">
                            <a href="{{ url_for('playlist.item', playlist=searchplaylist.hashid ) }}">
                                {% if searchplaylist.featured_video%}
                                    <div class="thumbnail">
                                        <img class="thumbnail" src="{{ config.IPROXY ~ config.IARCHIVEURL ~ searchplaylist.featured_video.extractor_data ~ '/' ~ searchplaylist.featured_video.title | ia_fname ~ '-' ~ searchplaylist.featured_video.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXY ~ config.IARCHIVEURL ~ searchplaylist.featured_video.extractor_data ~ '/__ia_thumb.jpg' }}';" >
                                    </div>
                                {% endif %}
                                <p>
                                    <i class='ion-md-list'  style="font-size: 24px"></i>
                                    <b>{{ searchplaylist.title }}</p></b></a>
                            {% if searchplaylist.description%}
                              <p>{{ searchplaylist.description | linkify | safe }}<p>
                            {% endif %}
                            <i class='ion-logo-youtube'  style="font-size: 20px"></i>
                            <b>{{ searchplaylist.video_count }}</b>
                            <b>|</b>
                            <i class='ion-md-eye'  style="font-size: 20px"></i>
                            <b>{{ searchplaylist.view_counter }}</b>
                            <b>|</b>
                            <i class='ion-ios-contact'  style="font-size: 20px"></i>
                            {% if searchplaylist.user.public %}
                                <a href="{{ url_for('user.item', username=searchplaylist.user.username) }}">
                                    <b>{{ searchplaylist.user.username }}</b></a>
                            {%  else %}
                                <b>{{ searchplaylist.user.username }}</b>
                            {% endif %}
                        </div>
                    </div>
                {% endfor %}
                {% endif %}
                </details></div></div>
            </div>
        </div>
    </div>

    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g">
                {% if altcen_users %}
                    <div class="h-box pure-u-1">
                        <details><summary>
                            <i class='ion-ios-contact'  style="font-size: 24px"></i>
                            {{ gettext('User') }}
                            <i class='ion-md-search' style="font-size: 21px"></i>
                            <b>({{ usercount | commafy }})</b>
                        </summary><p></p>
                {% for altcen_user in altcen_users %}
                    <div class="pure-u-1 pure-u-md-1-4">
                        <div class="h-box">
                            <a href="{{ url_for('user.item', username=altcen_user.username) }}">
                                {% if altcen_user.featured_playlist and altcen_user.featured_playlist.pl_title %}
                                    <div class="thumbnail">
                                        <img class="thumbnail" src="{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ altcen_user.featured_playlist.extractor_data ~ '/' ~ altcen_user.featured_playlist.title | ia_fname ~ '-' ~ altcen_user.featured_playlist.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ altcen_user.featured_playlist.extractor_data ~ '/__ia_thumb.jpg' }}';" >
                                    </div>
                                {% endif %}
                                <i class='ion-ios-contact' style="font-size: 24px"></i>
                                <b>{{ altcen_user.username }}</b></a>
                            <p></p>
                            {% if altcen_user.description %}
                              {{ altcen_user.description | linkify | safe }}
                            {% endif %}
                            <p></p>
                            <div class="pure-u-1 pure-md-1-1">
                                <i class='ion-md-eye'  style="font-size: 20px"></i>
                                <b>&nbsp;{{ altcen_user.view_counter }}</b>
                            </div>
                            </p>
                        </div>
                    </div>
                {% endfor %}
                {% endif %}
                </details></div></div>
            </div>
        </div>
    </div>


    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-10-24">
                    <div class="pure-u-1 pure-md-1-3">
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                        <i class='ion-logo-youtube'  style="font-size: 24px"></i>
                        <i class='ion-md-search' style="font-size: 21px"></i>
                        <b>({{ videocount | commafy }})</b>
                    </div>
                </div>
                <div class="pure-u-4-24" style="text-align:center";>
                    <div class="pure-u-1 pure-md-1-3">
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                    </div>
                    <div class="pure-u-1 pure-md-1-3">
                    {% if playlist %}
                        <a href="{{ url_for('playlist.item', playlist=playlist.hashid ) }}">
                        <i class='ion-md-list' style="font-size: 24px"></i>&nbsp;
                        <b>{{ playlist.title }}</b></a>
                    {% endif %}
                    </div>
                </div>
                <div class="pure-u-10-24" style="text-align:right;">

                    {% if playlist %}

                        <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('video.search_latest',q=rawsearch, playlist=playlist.hashid) }}" class="pure-menu-item {{'selected' if order == 'latest' }}">
                                {{ gettext('latest') }}</a>
                        </div>
                        <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('video.search_new',q=rawsearch, playlist=playlist.hashid) }}" class="pure-menu-item {{'selected' if order == 'newest' }}">
                                {{ gettext('newest') }}</a>
                        </div>
                        <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('video.search_popular',q=rawsearch, playlist=playlist.hashid) }}" class="pure-menu-item {{'selected' if order == 'popular' }}">
                                {{ gettext('popular') }}</a>
                        </div>

                    {% else %}

                        <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('video.search_latest',q=rawsearch) }}" class="pure-menu-item {{'selected' if order == 'latest' }}">
                                {{ gettext('latest') }}</a>
                        </div>
                        <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('video.search_new',q=rawsearch) }}" class="pure-menu-item {{'selected' if order == 'newest' }}">
                                {{ gettext('newest') }}</a>
                        </div>
                        <div class="pure-u-1 pure-md-1-3">
                            <a href="{{ url_for('video.search_popular',q=rawsearch) }}" class="pure-menu-item {{'selected' if order == 'popular' }}">
                                {{ gettext('popular') }}</a>
                        </div>
                    {% endif %}
                </div>
            </div>
            <div class="h-box">
                <hr>
            </div>
        </div>
    </div>



    {% if playlist %}
        {% with video=video, watchlater=watchlater, playlist=playlist, userlist='search' %}
            {% include "widgets/videos.html" %}
        {% endwith %}
    {% else %}
        {% with video=video, watchlater=watchlater, playlist=playlist %}
            {% include "widgets/videos.html" %}
        {% endwith %}
    {% endif %}

<div class=pagination>
  <center><h3>
    {% if pagination.has_prev %}
      <strong><a href="{{ url_for_other_page(pagination.page - 1)}}?q={{rawsearch}}">&lt;&lt;</a></strong>&nbsp;&nbsp;&nbsp;
    {% endif %}

    {% for page in pagination.iter_pages() %}
      {% if page %}

        {% if page != pagination.page %}
          <a href="{{ url_for_other_page(page) }}?q={{rawsearch}}">{{ page }}</a>
        {% elif page == 1 and not pagination.has_next %}
        {% else %}
          <strong>{{ page }}</strong>
        {% endif %}

      {% else %}
        <span class=ellipsis>…</span>
      {% endif %}

    {% endfor %}

    {% if pagination.has_next %}
      <strong>&nbsp;&nbsp;&nbsp;<a href="{{ url_for_other_page(pagination.page + 1)}}?q={{rawsearch}}">&gt;&gt;</a></strong>
    {% endif %}

  </center>
</div>

{% endblock %}